<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{128,135,800,600}</property>
    <property name="Name">[SE_PROD.tel]</property>
    <property name="Caption">[Dados_Gerais]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Arial" width="0" height="-13" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSayPDIVISAO,osoSayPPRINCFORN}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[sysbackground01.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.T.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[preget_prd()
if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
//skel variavel zNIL = GetTaxasTributarias("CARREGA")
//skel VARIAVEL zBlPrTab=_CreateBlock("m_PVLUtab:=if(m_PVLUVEN3*m_pitens>m_PVLUtab*(1-m_PdscCompr/100),m_PVLUVEN3*m_pitens,m_PVLUtab), eval(bRefresh)")
//skel variavel wPicmSubCpa=0
//skel variavel wPipient=0
//skel variavel wPfreteCpa=0
//skel variavel wPCstEmbCpa=0
//skel variavel wPEncFinCpa=0
//skel variavel wPicmCpa=0
//skel variavel wPdscCpa=0
//skel variavel vTxOp=0
//skel variavel vTxFed=0
//skel variavel vPcom=0
//skel variavel vIcmVda=0
//skel variavel vTxOut=0
//skel variavel mPmargem=0
//skel VARIAVEL b0PrCst=_CreateBlock("m_PVLUcst:=m_PVLUVEN3+wPicmSubCpa+wPipient+wPfreteCpa+wPCstEmbCpa+wPEncFinCpa-wPicmCpa-wPdscCpa")
//skel VARIAVEL b0PrMin=_CreateBlock("m_pVluMin:=m_PVLUcst/(1-(m_pTxOper+m_pTxFed+m_pTxIcmVda+m_PtxOutros+m_Pcomisvis)/100)")
//skel VARIAVEL b0Taxas=_CreateBlock("vTxOp:=m_pVluMin*m_pTxOper/100,vTxFed:=m_pVluMin*m_pTxFed/100,vIcmVda:=m_pVluMin*m_pTxIcmVda/100,vPcom:=m_pVluMin*m_Pcomisvis/100,vTxOut:=m_pVluMin*m_PtxOutros/100")
//skel VARIAVEL b0PrSug=_CreateBlock("m_PvluSug:=m_pVluMin/(1-m_Pmargem/100)")
//skel VARIAVEL bRefresh=_CreateBlock("eval(b0PrCst), eval(b0PrMin), eval(b0PrSug), eval(b0Taxas), RefreshGetlist()")
//skel VARIAVEL b1DscCpa=_CreateBlock("wPdscCpa:=m_PVLUVEN3*m_PdscCompr/100, eval(bRefresh)")
//skel VARIAVEL b1FreteCpa=_CreateBlock("wPfreteCpa:=(m_PVLUVEN3+wPipient)*m_PfreteCpa/100, eval(bRefresh)")
//skel VARIAVEL b1IcmSubCpa=_CreateBlock("m_PicmSubCpa:=if('F'$m_pcategoria,0,m_PicmSubCpa), wPicmSubCpa:=m_PVLUVEN3*m_PicmSubCpa/100, eval(bRefresh)")
//skel VARIAVEL b1IpiEnt=_CreateBlock("wPipient:=m_PVLUVEN3*m_Pipient/100, eval(bRefresh)")
//skel VARIAVEL b1CstEmbCpa=_CreateBlock("wPCstEmbCpa:=m_PVLUVEN3*m_PCstEmbCpa/100, eval(bRefresh)")
//skel VARIAVEL b1EncFinCpa=_CreateBlock("wPEncFinCpa:=(m_PVLUVEN3-wPdscCpa+wPipient)*m_PEncFinCpa/100, eval(bRefresh)")
//skel VARIAVEL b1IcmCpa=_CreateBlock("m_PicmCpa:=if('I'$m_pcategoria.or.'F'$m_pcategoria.or.'N'$m_pcategoria,0,m_PicmCpa), wPicmCpa:=(m_PVLUVEN3+wPfreteCpa-wPdscCpa)*m_PicmCpa/100, eval(bRefresh)")
SET(5,1960) ]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[Dlg_BtnOkOuCancel(modus,oDlg,{||posinc_prd()})]]>
  </method>
  <method name="onFormExit">
    <![CDATA[MODUS=="Confirmou_Deletar" ]]>
  </method>
  <part class="line">
    <style>
      <property name="Geometry">{3,5,795,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="line">
    <style>
      <property name="Geometry">{3,30,795,2}</property>
      <property name="Name">[oLine2]</property>
    </style>
  </part>
  <part class="page">
    <style>
      <property name="Geometry">{6,153,789,396}</property>
      <property name="Name">[oPage1]</property>
      <property name="font">
        <font name="Arial" width="0" height="-13" weight="400"/>
      </property>
      <property name="Tabs">
{Dados_Gerais,Composição de Preços,Composição de Descontos,Dados PBM&apos;S,Dados Estoque}      </property>
      <property name="TabIndex">17</property>
      <property name="BackColor">8454143</property>
    </style>
    <part class="PageSheet" page="1">
      <part class="label">
        <style>
          <property name="Geometry">{31,211,287,16}</property>
          <property name="Name">[oSayPservico]</property>
          <property name="Caption">[O Produto eh um Servico   (Sem Estoque)?]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">18</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,231,287,16}</property>
          <property name="Name">[oSayPeanpeso]</property>
          <property name="Caption">[O Codigo de Barras sera lido de Balanca?]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">19</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,251,287,16}</property>
          <property name="Name">[oSaypabcfisica]</property>
          <property name="Caption">[Classificacao em Giro do Produto DSQMBT:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">20</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,271,287,16}</property>
          <property name="Name">[oSaypabcvenda]</property>
          <property name="Caption">[Classe ABC em Vendas do Produto........:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">21</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{318,211,14,23}</property>
          <property name="Name">[oPservico]</property>
          <property name="varName">[m_Pservico]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">22</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{318,231,14,23}</property>
          <property name="Name">[oPeanpeso]</property>
          <property name="varName">[m_Peanpeso]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">23</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{318,251,14,23}</property>
          <property name="Name">[opabcfisica]</property>
          <property name="varName">[m_pabcfisica]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">24</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{318,271,14,23}</property>
          <property name="Name">[opabcvenda]</property>
          <property name="varName">[m_pabcvenda]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">25</property>
        </style>
      </part>
    </part>
    <part class="PageSheet" page="2">
      <part class="panel">
        <style>
          <property name="Geometry">{23,202,342,93}</property>
          <property name="Name">[oPanel1]</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{28,213,245,16}</property>
          <property name="Name">[oSayPVLUVEN3]</property>
          <property name="Caption">[Preco Unitario da Ultima Compra..:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">26</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,240,245,16}</property>
          <property name="Name">[oSayPITENS]</property>
          <property name="Caption">[Itens Cxa Fechada/Fracao de Venda:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">27</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{45,269,245,16}</property>
          <property name="Name">[oSayPVLUtab]</property>
          <property name="Caption">[Preco da Caixa Fechada na Compra.:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">28</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{278,211,63,23}</property>
          <property name="Name">[oPVLUVEN3]</property>
          <property name="varName">[m_PVLUVEN3]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">49</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{279,238,35,23}</property>
          <property name="Name">[oPITENS]</property>
          <property name="varName">[m_PITENS]</property>
          <property name="nMaxLength">4</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">50</property>
        </style>
        <method name="onLostFocus">
          <![CDATA[eval(zBlPrTab)]]>
        </method>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{277,266,63,23}</property>
          <property name="Name">[oPVLUtab]</property>
          <property name="varName">[m_PVLUtab]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">51</property>
        </style>
      </part>
      <part class="group">
        <style>
          <property name="Geometry">{524,407,258,135}</property>
          <property name="Name">[oGroup2]</property>
          <property name="TabIndex">146</property>
        </style>
        <part class="label">
          <style>
            <property name="Geometry">{537,464,133,16}</property>
            <property name="Name">[oSayPmargem]</property>
            <property name="Caption">[Margem Desejada %:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">44</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{543,513,133,16}</property>
            <property name="Name">[oSayPVLUvenda]</property>
            <property name="Caption">[Preco Venda Usado:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">45</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{536,428,133,16}</property>
            <property name="Name">[oSaypVluMin]</property>
            <property name="Caption">[Pt.Equilib/Minimo:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">46</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{541,489,133,16}</property>
            <property name="Name">[oSayPvlusug]</property>
            <property name="Caption">[Pr Venda Sugerido:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">47</property>
          </style>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{676,456,42,23}</property>
            <property name="Name">[oPmargem]</property>
            <property name="varName">[m_Pmargem]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">67</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(bRefresh)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{680,509,63,23}</property>
            <property name="Name">[oPVLUvenda]</property>
            <property name="varName">[m_PVLUvenda]</property>
            <property name="nMaxLength">8</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">68</property>
          </style>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{671,426,63,23}</property>
            <property name="Name">[opVluMin]</property>
            <property name="varName">[m_pVluMin]</property>
            <property name="nMaxLength">8</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">69</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{678,483,63,23}</property>
            <property name="Name">[oPvlusug]</property>
            <property name="varName">[m_Pvlusug]</property>
            <property name="nMaxLength">8</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">70</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
      </part>
      <part class="group">
        <style>
          <property name="Geometry">{456,273,289,133}</property>
          <property name="Name">[oGroup3]</property>
          <property name="TabIndex">147</property>
        </style>
        <part class="label">
          <style>
            <property name="Geometry">{477,288,133,16}</property>
            <property name="Name">[oSaypTxOper]</property>
            <property name="Caption">[Custo Fixo    (%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">39</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{477,308,133,16}</property>
            <property name="Name">[oSaypTxFed]</property>
            <property name="Caption">[Imp. Federais (%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">40</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{477,328,133,16}</property>
            <property name="Name">[oSaypTxIcmVda]</property>
            <property name="Caption">[ICMs na Venda (%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">41</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{477,348,133,16}</property>
            <property name="Name">[oSayPtxOutros]</property>
            <property name="Caption">[Outros/Marketg(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">42</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{477,368,133,16}</property>
            <property name="Name">[oSayPcomisvis]</property>
            <property name="Caption">[Taxa Comissao (%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">43</property>
          </style>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{610,288,42,23}</property>
            <property name="Name">[opTxOper]</property>
            <property name="varName">[m_pTxOper]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">62</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(bRefresh)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{610,308,42,23}</property>
            <property name="Name">[opTxFed]</property>
            <property name="varName">[m_pTxFed]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">63</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(bRefresh)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{610,328,42,23}</property>
            <property name="Name">[opTxIcmVda]</property>
            <property name="varName">[m_pTxIcmVda]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">64</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(bRefresh)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{610,348,42,23}</property>
            <property name="Name">[oPtxOutros]</property>
            <property name="varName">[m_PtxOutros]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">65</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(bRefresh)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{610,368,42,23}</property>
            <property name="Name">[oPcomisvis]</property>
            <property name="varName">[m_Pcomisvis]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">66</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(bRefresh)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{666,288,49,23}</property>
            <property name="Name">[ovTxOp]</property>
            <property name="varName">[vTxOp]</property>
            <property name="nMaxLength">6</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">79</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{666,308,49,23}</property>
            <property name="Name">[ovTxFed]</property>
            <property name="varName">[vTxFed]</property>
            <property name="nMaxLength">6</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">80</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{666,328,49,23}</property>
            <property name="Name">[ovIcmVda]</property>
            <property name="varName">[vIcmVda]</property>
            <property name="nMaxLength">6</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">81</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{666,348,49,23}</property>
            <property name="Name">[ovTxOut]</property>
            <property name="varName">[vTxOut]</property>
            <property name="nMaxLength">6</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">82</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{666,368,49,23}</property>
            <property name="Name">[ovPcom]</property>
            <property name="varName">[vPcom]</property>
            <property name="nMaxLength">6</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">83</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
      </part>
      <part class="group">
        <style>
          <property name="Geometry">{47,317,260,195}</property>
          <property name="Name">[oGroup4]</property>
          <property name="TabIndex">148</property>
        </style>
        <part class="label">
          <style>
            <property name="Geometry">{56,338,119,16}</property>
            <property name="Name">[oSayPdscCompr]</property>
            <property name="Caption">[Descont Forn(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">32</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{56,357,119,17}</property>
            <property name="Name">[oSayPfreteCpa]</property>
            <property name="Caption">[Frete ......(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">33</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{56,378,119,16}</property>
            <property name="Name">[oSayPicmCpa]</property>
            <property name="Caption">[ICMS Compra.(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">34</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{56,398,119,16}</property>
            <property name="Name">[oSayPicmSubCpa]</property>
            <property name="Caption">[ICMS Substit(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">35</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{56,418,119,16}</property>
            <property name="Name">[oSayPipient]</property>
            <property name="Caption">[IPI ........(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">36</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{56,438,119,16}</property>
            <property name="Name">[oSayPCstEmbCpa]</property>
            <property name="Caption">[Embalagem ..(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">37</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{56,458,119,16}</property>
            <property name="Name">[oSayPEncFinCpa]</property>
            <property name="Caption">[Enc. Financ.(%):]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">38</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{53,483,119,16}</property>
            <property name="Name">[oSayPVLUcst]</property>
            <property name="Caption">[Preco Custo....:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">48</property>
          </style>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,338,42,23}</property>
            <property name="Name">[oPdscCompr]</property>
            <property name="varName">[m_PdscCompr]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">55</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1DscCpa)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,358,42,23}</property>
            <property name="Name">[oPfreteCpa]</property>
            <property name="varName">[m_PfreteCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">56</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1FreteCpa)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,378,42,23}</property>
            <property name="Name">[oPicmCpa]</property>
            <property name="varName">[m_PicmCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">57</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1IcmCpa)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,398,42,23}</property>
            <property name="Name">[oPicmSubCpa]</property>
            <property name="varName">[m_PicmSubCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">58</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1IcmSubCpa)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,418,42,23}</property>
            <property name="Name">[oPipient]</property>
            <property name="varName">[m_Pipient]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">59</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1IpiEnt)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,438,42,23}</property>
            <property name="Name">[oPCstEmbCpa]</property>
            <property name="varName">[m_PCstEmbCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">60</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1CstEmbCpa)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{175,458,42,23}</property>
            <property name="Name">[oPEncFinCpa]</property>
            <property name="varName">[m_PEncFinCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">61</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1EncFinCpa)]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,338,42,23}</property>
            <property name="Name">[owPdscCpa]</property>
            <property name="varName">[wPdscCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">71</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,358,42,23}</property>
            <property name="Name">[owPfreteCpa]</property>
            <property name="varName">[wPfreteCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">72</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,378,42,23}</property>
            <property name="Name">[owPicmCpa]</property>
            <property name="varName">[wPicmCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">73</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,398,42,23}</property>
            <property name="Name">[owPicmSubCpa]</property>
            <property name="varName">[wPicmSubCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">74</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,418,42,23}</property>
            <property name="Name">[owPipient]</property>
            <property name="varName">[wPipient]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">75</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,438,42,23}</property>
            <property name="Name">[owPCstEmbCpa]</property>
            <property name="varName">[wPCstEmbCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">76</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{231,458,42,23}</property>
            <property name="Name">[owPEncFinCpa]</property>
            <property name="varName">[wPEncFinCpa]</property>
            <property name="nMaxLength">5</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">77</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{207,485,63,23}</property>
            <property name="Name">[oPVLUcst]</property>
            <property name="varName">[m_PVLUcst]</property>
            <property name="nMaxLength">8</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">78</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
      </part>
      <part class="group">
        <style>
          <property name="Geometry">{546,181,224,91}</property>
          <property name="Name">[oGroup5]</property>
          <property name="TabIndex">149</property>
        </style>
        <part class="label">
          <style>
            <property name="Geometry">{566,193,84,16}</property>
            <property name="Name">[oSaypdatacomp]</property>
            <property name="Caption">[Ult.Compra:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">29</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{566,213,84,16}</property>
            <property name="Name">[oSayPnegPos]</property>
            <property name="Caption">[Lista Pis :]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">30</property>
          </style>
        </part>
        <part class="label">
          <style>
            <property name="Geometry">{566,233,84,16}</property>
            <property name="Name">[oSayPCATEGORIA]</property>
            <property name="Caption">[Categ.Fisc:]</property>
            <property name="font">
              <font name="Arial" width="0" height="-13" weight="400"/>
            </property>
            <property name="Transparent">.T.</property>
            <property name="TabIndex">31</property>
          </style>
        </part>
        <part class="datepicker">
          <style>
            <property name="Geometry">{650,193,84,23}</property>
            <property name="Name">[opdatacomp]</property>
            <property name="varName">[m_pdatacomp]</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">52</property>
          </style>
          <method name="onGetFocus">
            <![CDATA[.f.]]>
          </method>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{650,213,14,23}</property>
            <property name="Name">[oPnegPos]</property>
            <property name="varName">[m_PnegPos]</property>
            <property name="nMaxLength">1</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">53</property>
          </style>
        </part>
        <part class="editbox">
          <style>
            <property name="Geometry">{650,233,28,23}</property>
            <property name="Name">[oPCATEGORIA]</property>
            <property name="varName">[m_PCATEGORIA]</property>
            <property name="nMaxLength">3</property>
            <property name="3DLook">.T.</property>
            <property name="TabIndex">54</property>
          </style>
          <method name="onLostFocus">
            <![CDATA[eval(b1IcmCpa)]]>
          </method>
        </part>
      </part>
    </part>
    <part class="PageSheet" page="3">
      <part class="label">
        <style>
          <property name="Geometry">{31,191,126,16}</property>
          <property name="Name">[oSayPUNIDADE]</property>
          <property name="Caption">[Unidade.........:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">84</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,211,126,16}</property>
          <property name="Name">[oSayPnegPos]</property>
          <property name="Caption">[Lista Pis/Cofins:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">85</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,231,126,16}</property>
          <property name="Name">[oSayPCATEGORIA]</property>
          <property name="Caption">[CategFisc.......:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">86</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,251,126,16}</property>
          <property name="Name">[oSaypCodClaFis]</property>
          <property name="Caption">[Classif. Fiscal.:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">87</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{311,191,161,16}</property>
          <property name="Name">[oSayPVLUVEN3]</property>
          <property name="Caption">[Preco Ultima Compra..:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">88</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{311,211,161,16}</property>
          <property name="Name">[oSaypVluMin]</property>
          <property name="Caption">[Pt.Equilib/Pr.Minimo.:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">89</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{311,231,161,16}</property>
          <property name="Name">[oSayPvlusug]</property>
          <property name="Caption">[Pr Venda Sugerido....:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">90</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{311,251,161,16}</property>
          <property name="Name">[oSayPVLUvenda]</property>
          <property name="Caption">[Preco Venda Praticado:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">91</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,291,238,16}</property>
          <property name="Name">[oSayPBLOQVENDA]</property>
          <property name="Caption">[Bloqueia Descontos na Venda.....?]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">92</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,331,238,16}</property>
          <property name="Name">[oSayPDESCONTO]</property>
          <property name="Caption">[%Descont Permitido ao Vendedor..:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">93</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,351,238,16}</property>
          <property name="Name">[oSaypdescfarm]</property>
          <property name="Caption">[%Descont Permitido ao Gerente...:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">94</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,371,238,16}</property>
          <property name="Name">[oSaypdscminimo]</property>
          <property name="Caption">[%Descont a SUGERIR em Toda Venda:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">95</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,391,238,16}</property>
          <property name="Name">[oSayPDESCBON]</property>
          <property name="Caption">[%Descont a SUGERIR p/ Dinheiro..:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">96</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{346,331,133,16}</property>
          <property name="Name">[oSayPCOMISVIS]</property>
          <property name="Caption">[%Comissao a Vista:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">97</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{346,351,133,16}</property>
          <property name="Name">[oSayPCOMISPRA]</property>
          <property name="Caption">[%Comissao a Prazo:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">98</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{157,191,42,23}</property>
          <property name="Name">[oPUNIDADE]</property>
          <property name="varName">[m_PUNIDADE]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">99</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{157,211,14,23}</property>
          <property name="Name">[oPnegPos]</property>
          <property name="varName">[m_PnegPos]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">100</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{157,231,28,23}</property>
          <property name="Name">[oPCATEGORIA]</property>
          <property name="varName">[m_PCATEGORIA]</property>
          <property name="nMaxLength">3</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">101</property>
        </style>
        <method name="onGetFocus">
          <![CDATA[.f.]]>
        </method>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{157,251,63,23}</property>
          <property name="Name">[opCodClaFis]</property>
          <property name="varName">[m_pCodClaFis]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">102</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{472,191,63,23}</property>
          <property name="Name">[oPVLUVEN3]</property>
          <property name="varName">[m_PVLUVEN3]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">103</property>
        </style>
        <method name="onGetFocus">
          <![CDATA[.f.]]>
        </method>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{472,211,63,23}</property>
          <property name="Name">[opVluMin]</property>
          <property name="varName">[m_pVluMin]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">104</property>
        </style>
        <method name="onGetFocus">
          <![CDATA[.f.]]>
        </method>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{472,231,63,23}</property>
          <property name="Name">[oPvlusug]</property>
          <property name="varName">[m_Pvlusug]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">105</property>
        </style>
        <method name="onGetFocus">
          <![CDATA[.f.]]>
        </method>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{472,251,63,23}</property>
          <property name="Name">[oPVLUvenda]</property>
          <property name="varName">[m_PVLUvenda]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">106</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{269,291,14,23}</property>
          <property name="Name">[oPBLOQVENDA]</property>
          <property name="varName">[m_PBLOQVENDA]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">107</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{269,331,56,23}</property>
          <property name="Name">[oPDESCONTO]</property>
          <property name="varName">[m_PDESCONTO]</property>
          <property name="nMaxLength">7</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">108</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{269,351,42,23}</property>
          <property name="Name">[opdescfarm]</property>
          <property name="varName">[m_pdescfarm]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">109</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{269,371,42,23}</property>
          <property name="Name">[opdscminimo]</property>
          <property name="varName">[m_pdscminimo]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">110</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{269,391,42,23}</property>
          <property name="Name">[oPDESCBON]</property>
          <property name="varName">[m_PDESCBON]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">111</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{479,331,42,23}</property>
          <property name="Name">[oPCOMISVIS]</property>
          <property name="varName">[m_PCOMISVIS]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">112</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{479,351,42,23}</property>
          <property name="Name">[oPCOMISPRA]</property>
          <property name="varName">[m_PCOMISPRA]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">113</property>
        </style>
      </part>
    </part>
    <part class="PageSheet" page="4">
      <part class="label">
        <style>
          <property name="Geometry">{24,191,84,16}</property>
          <property name="Name">[oSaypdic5]</property>
          <property name="Caption">[C.ABCfarma:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">114</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,211,84,16}</property>
          <property name="Name">[oSaypregms]</property>
          <property name="Caption">[Reg.M.S...:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">115</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,231,84,16}</property>
          <property name="Name">[oSayppedelote]</property>
          <property name="Caption">[Pede Lote ?]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">116</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,251,84,16}</property>
          <property name="Name">[oSaypfgcontrol]</property>
          <property name="Caption">[Controlado?]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">117</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{108,191,63,23}</property>
          <property name="Name">[opdic5]</property>
          <property name="varName">[m_pdic5]</property>
          <property name="nMaxLength">8</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">118</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{108,211,126,23}</property>
          <property name="Name">[opregms]</property>
          <property name="varName">[m_pregms]</property>
          <property name="nMaxLength">17</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">119</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{108,231,14,23}</property>
          <property name="Name">[oppedelote]</property>
          <property name="varName">[m_ppedelote]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">120</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{108,251,14,23}</property>
          <property name="Name">[opfgcontrol]</property>
          <property name="varName">[m_pfgcontrol]</property>
          <property name="nMaxLength">1</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">121</property>
        </style>
      </part>
    </part>
    <part class="PageSheet" page="5">
      <part class="label">
        <style>
          <property name="Geometry">{24,191,105,16}</property>
          <property name="Name">[oSayPTIPO]</property>
          <property name="Caption">[Tipo.........:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">122</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,211,105,16}</property>
          <property name="Name">[oSayPREF]</property>
          <property name="Caption">[Marca........:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">123</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,231,105,16}</property>
          <property name="Name">[oSayPMARCAMODE]</property>
          <property name="Caption">[Modelo.......:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">124</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,251,105,16}</property>
          <property name="Name">[oSayPCOR]</property>
          <property name="Caption">[Cor..........:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">125</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,271,105,16}</property>
          <property name="Name">[oSayPTAM]</property>
          <property name="Caption">[Tamanhos.....:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">126</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{24,291,105,16}</property>
          <property name="Name">[oSayPgrade]</property>
          <property name="Caption">[Grade Padrao.:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">127</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{297,191,84,16}</property>
          <property name="Name">[oSayPemin]</property>
          <property name="Caption">[Est. Min..:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">128</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{297,211,84,16}</property>
          <property name="Name">[oSayPemax]</property>
          <property name="Caption">[Est. Max..:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">129</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{297,231,84,16}</property>
          <property name="Name">[oSayPREPOSICAO]</property>
          <property name="Caption">[Dias Estoq:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">130</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{297,251,84,16}</property>
          <property name="Name">[oSayPPOSICAO]</property>
          <property name="Caption">[Posicao...:]</property>
          <property name="font">
            <font name="Arial" width="0" height="-13" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">131</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{129,191,42,23}</property>
          <property name="Name">[oPTIPO]</property>
          <property name="varName">[m_PTIPO]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">132</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{129,211,112,23}</property>
          <property name="Name">[oPREF]</property>
          <property name="varName">[m_PREF]</property>
          <property name="nMaxLength">15</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">133</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{129,231,147,23}</property>
          <property name="Name">[oPMARCAMODE]</property>
          <property name="varName">[m_PMARCAMODE]</property>
          <property name="nMaxLength">20</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">134</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{129,251,91,23}</property>
          <property name="Name">[oPCOR]</property>
          <property name="varName">[m_PCOR]</property>
          <property name="nMaxLength">12</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">135</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{129,271,77,23}</property>
          <property name="Name">[oPTAM]</property>
          <property name="varName">[m_PTAM]</property>
          <property name="nMaxLength">10</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">136</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{129,291,49,23}</property>
          <property name="Name">[oPgrade]</property>
          <property name="varName">[m_Pgrade]</property>
          <property name="nMaxLength">6</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">137</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{381,191,42,23}</property>
          <property name="Name">[oPemin]</property>
          <property name="varName">[m_Pemin]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">138</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{381,211,42,23}</property>
          <property name="Name">[oPemax]</property>
          <property name="varName">[m_Pemax]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">139</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{381,231,28,23}</property>
          <property name="Name">[oPREPOSICAO]</property>
          <property name="varName">[m_PREPOSICAO]</property>
          <property name="nMaxLength">3</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">140</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{381,251,42,23}</property>
          <property name="Name">[oPPOSICAO]</property>
          <property name="varName">[m_PPOSICAO]</property>
          <property name="nMaxLength">5</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">141</property>
        </style>
      </part>
    </part>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{565,558,98,32}</property>
      <property name="Name">[oButtonex1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[Confirma]</property>
      <property name="TabIndex">142</property>
    </style>
  </part>
  <part class="buttonex">
    <style>
      <property name="Geometry">{682,558,98,32}</property>
      <property name="Name">[oButtonex2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[Cancela]</property>
      <property name="TabIndex">143</property>
    </style>
    <method name="onClick">
      <![CDATA[Dlg_BtnCancel(modus,oDlg)]]>
    </method>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{22,38,756,108}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">144</property>
    </style>
    <part class="label">
      <style>
        <property name="Geometry">{31,58,68,16}</property>
        <property name="Name">[oSayPCOD]</property>
        <property name="Caption">[Codigo....:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{31,93,74,16}</property>
        <property name="Name">[oSaypdic6]</property>
        <property name="Caption">[Cod Barras:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{31,122,67,16}</property>
        <property name="Name">[oSayPREFFAB]</property>
        <property name="Caption">[Ref/Fab...:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{234,58,84,16}</property>
        <property name="Name">[oSayPDESC]</property>
        <property name="Caption">[Descricao.:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{234,93,84,16}</property>
        <property name="Name">[oSayPDIVISAO]</property>
        <property name="Caption">[Divisao...:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{234,122,84,16}</property>
        <property name="Name">[oSayPPRINCFORN]</property>
        <property name="Caption">[Fabricante:]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{399,86,243,23}</property>
        <property name="Name">[osoSayPDIVISAO]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{399,115,243,23}</property>
        <property name="Name">[osoSayPPRINCFORN]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Arial" width="0" height="-13" weight="400"/>
        </property>
        <property name="Border">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{115,58,98,23}</property>
        <property name="Name">[oPCOD]</property>
        <property name="varName">[m_PCOD]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">9</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{115,86,98,23}</property>
        <property name="Name">[opdic6]</property>
        <property name="varName">[m_pdic6]</property>
        <property name="nMaxLength">13</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{115,115,112,23}</property>
        <property name="Name">[oPREFFAB]</property>
        <property name="varName">[m_PREFFAB]</property>
        <property name="nMaxLength">15</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{318,58,418,23}</property>
        <property name="Name">[oPDESC]</property>
        <property name="varName">[m_PDESC]</property>
        <property name="nMaxLength">30</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">12</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[alltrim(m_pdesc)<>""]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{318,86,51,23}</property>
        <property name="Name">[oPDIVISAO]</property>
        <property name="varName">[m_PDIVISAO]</property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">13</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',5,49,'SDDESC','@S25','',,oPDIVISAO,osoSayPDIVISAO)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{372,93,16,16}</property>
        <property name="Name">[oboPDIVISAO]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">14</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SE_SUBD','PSESUBD','M_PDIVISAO','N','S',5,49,'SDDESC','@S25','','EXIBA',oPDIVISAO,osoSayPDIVISAO)]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{318,115,51,23}</property>
        <property name="Name">[oPPRINCFORN]</property>
        <property name="varName">[m_PPRINCFORN]</property>
        <property name="nMaxLength">4</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">15</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[LASTKEY()=5 .OR. PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',6,49,'CP_FANTASI','@S25','',,oPPRINCFORN,osoSayPPRINCFORN)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{372,122,16,16}</property>
        <property name="Name">[oboPPRINCFORN]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">16</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SCCPFAB','PSCCPFAB','M_PPRINCFORN','N','N',6,49,'CP_FANTASI','@S25','','EXIBA',oPPRINCFORN,osoSayPPRINCFORN)]]>
      </method>
    </part>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{317,8,166,19}</property>
      <property name="Name">[oLabel1]</property>
      <property name="Caption">[Cadastro de Produtos]</property>
      <property name="TextColor">16711680</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="Transparent">.T.</property>
      <property name="TabIndex">145</property>
    </style>
  </part>
</part>
